Bug 809109 - vnc doesn't start
Summary: vnc doesn't start
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 17
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 811467
TreeView+ depends on / blocked
 
Reported: 2012-04-02 13:57 UTC by Dan Horák
Modified: 2013-01-10 06:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 811467 (view as bug list)
Environment:
Last Closed: 2012-05-11 12:29:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full console log from installation (1.24 MB, text/plain)
2012-04-02 13:57 UTC, Dan Horák
no flags Details

Description Dan Horák 2012-04-02 13:57:27 UTC
Created attachment 574512 [details]
full console log from installation

anaconda on s390 doesn't start and throws a traceback instead

13:56:38 Starting VNC...
Traceback (most recent call last):
  File "/usr/sbin/anaconda", line 792, in <module>
    setupDisplay(anaconda, opts)
  File "/usr/sbin/anaconda", line 585, in setupDisplay
    runVNC(vncS)
  File "/usr/sbin/anaconda", line 326, in runVNC
    vncS.startServer()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/vnc.py", line 181, in star
tServer
    self.initialize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/vnc.py", line 104, in init
ialize
    if self.ip.find(':') != -1:
AttributeError: 'NoneType' object has no attribute 'find'

I suppose it's related to how network is being setup via dracut now.


Version-Release number of selected component (if applicable):
anaconda-17.16-1.fc17

Even including cherry-picked s390x fixes from the rhel7-alpha branch didn't help (for the rpms please see http://s390.koji.fedoraproject.org/scratch/sharkcz/task_631385/)

Comment 2 Radek Vykydal 2012-04-03 09:33:42 UTC
Reassigning to David who is more in the picture handling s390 networking stuff for rhel7-alpha.

Comment 3 Jesse Keating 2012-04-20 13:43:17 UTC
Worse, if you remove the vnc option, you cannot install at all.  I'm digging into what's going on.

Comment 4 Dan Horák 2012-05-11 12:29:56 UTC
Fixed by recent updates in dracut/lorax/whatever :-)


Note You need to log in before you can comment on or make changes to this bug.